Get ScratchFile by ID
Get a single ScratchFile by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
scratch_file_id
ID of the ScratchFile.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
createdAt
creator
downloadUrl
errorMessage
externalFileId
file
filename
id
mimeType
modifiedAt
name
originAutomationStepData
The automation step data that produced this file.
size
uploadStatus
Allowed values:
uploadUrl
originPipelineStepDataDeprecated
Use originAutomationStepData instead.
Errors
400
Scratch File Get Request Bad Request Error
403
Scratch File Get Request Forbidden Error
404
Scratch File Get Request Not Found Error
429
Scratch File Get Request Too Many Requests Error
500
Scratch File Get Request Internal Server Error